package service

import (
	"fmt"

	"nms_nbi/src/modules/network_data/model"
	"nms_nbi/src/modules/network_data/repository"
)

// 实例化数据层 CDREventImpl 结构体
var NewCDREventImpl = &CDREventImpl{
	cdrEventRepository: repository.NewCDREventImpl,
}

// CDREventImpl CDR会话事件 服务层处理
type CDREventImpl struct {
	// CDR会话事件数据信息
	cdrEventRepository repository.ICDREvent
}

// SelectPage 根据条件分页查询
func (r *CDREventImpl) SelectPage(querys model.CDREventQuery) map[string]any {
	return r.cdrEventRepository.SelectPage(querys)
}

// DeleteByIds 批量删除信息
func (r *CDREventImpl) DeleteByIds(cdrIds []string) (int64, error) {
	// 检查是否存在
	ids := r.cdrEventRepository.SelectByIds(cdrIds)
	if len(ids) <= 0 {
		return 0, fmt.Errorf("not data")
	}

	if len(ids) == len(cdrIds) {
		rows := r.cdrEventRepository.DeleteByIds(cdrIds)
		return rows, nil
	}
	// 删除信息失败！
	return 0, fmt.Errorf("delete fail")
}
